<?php include "pages/header.php"; ?>
<?php include "components/access_control/submenu.php"; ?>

<div id="content">
	<div id="spacer">


	<?php if ($group->getId() == "") { ?>
		<h2 id="edit_newgroup_header"><?= tt("accesscontrol_groups_newgroup_header") ?></h2>
		<p><?= tt("accesscontrol_groups_newgroup_description") ?></p>
	<?php } else { ?>
		<h2 id="edit_group_header"><?= tt("accesscontrol_groups_editgroup_header", $group->getName()) ?></h2>
		<p><?= tt("accesscontrol_groups_editgroup_description") ?></p>
	<?php } ?>
	
	
		<form action="post_edit_group.php" method="POST">
		
			<input type="hidden" name="id" value="<?= $group->getId() ?>" />
	
			<fieldset id="edit_group_general">
				<legend><?= tt("accesscontrol_groups_edit_header_general") ?></legend>
	
				<div class="field">
					<label for="name"><?= tt("accesscontrol_groups_edit_label_name") ?></label>
					<input type="text" id="name" name="name" value="<?= $group->getName() ?>" size="30" maxlength="255" />
				</div>
												
				<div class="field">
					<label for="description"><?= tt("accesscontrol_groups_edit_label_description") ?></label>
					<textarea name="description" id="description"><?= $group->getDescription() ?></textarea>
				</div>
								
			</fieldset>

	<?php if ($group->getId() != "") { ?>
	
			<fieldset id="edit_group_content_access_datatypes">
				<legend><img src="/gfx/icons/cubes24.png" border="0" height="24" width="24" /><?= tt("accesscontrol_groups_edit_header_datatypesaccess") ?></legend>
				<label><?= tt("accesscontrol_groups_edit_datatypesaccess_clickforlowlevelaccess") ?></label>
				<div class="container">
				<?php foreach($datatypes as $datatype) { ?>
						<div class="item">
							<input type="checkbox" name="datatype[]" value="<?= $datatype->getId() ?>" <?php if ($group->isMemberOfDataType($datatype->getId())) { ?>checked="checked"<?php } ?> /><a href="javascript:getLowLevelInformation(<?= $datatype->getId() ?>, <?= $group->getId() ?>)"><?= $datatype->getValue() ?></a>
						</div>
				<?php } ?>
				</div>
			</fieldset>

			<div id="lowlevelaccess">
				<?php /* include file="components/access_control/low_level_access.php" */ ?>
			</div>

			<div class="clearer"></div>
						
			<fieldset >
			<legend><?= tt("accesscontrol_groups_edit_header_reportingaccess") ?></legend>
			<fieldset id="edit_group_content_access_products">
				<legend><img src="/gfx/icons/cubes24.png" border="0" height="24" width="24" /><?= tt("accesscontrol_groups_edit_reportingaccess_header_products") ?></legend>
				<label><?= tt("accesscontrol_groups_edit_label_products") ?></label>


 	<div class="container" id="productContainer">
		<?php foreach($products as $product) { ?>
				<div class="item" title="<?= wordwrap($product,40," ",true) ?>" id="productList"> 
					<input id="<?= $product ?>" type="checkbox" name="products[]" value="<?= $product ?>" <?php if ($group->isMemberOfProduct($product)) { ?>checked="checked"<?php } ?> /><?= strlen($product)>30 ? trim(substr($product, 0, 30))."..." : $product ?>
				</div>
		<?php
		} ?>
	</div>
				
				
	<div class="container" id="productContainerSearcher"  style="display:none;">
		<?php foreach($products as $product) { ?>
				<div class="item" title="<?= wordwrap($product,40," ",true) ?>" id="productListSearcher"> 
					<input id="<?= $product ?>" type="checkbox" value="<?= $product ?>" <?php if ($group->isMemberOfProduct($product)) { ?>checked="checked"<?php } ?> />o<?= strlen($product)>30 ? trim(substr($product, 0, 30))."..." : $product ?>
				</div>
		<?php 
		} ?>	
	</div>
				
	<!-- Search: <input type="text" onkeyup="searchValues()" style="margin: 0;"><br> -->
				
	<?= tt("global_search") ?><input type="text" onkeyup="searchValues(this, 'productContainer')" style="margin: 0;">
	<br>
	
	<div class="ctrl">		
	<span id="productContainerctrl">
		<a href="javascript: select('productContainer' , 'one');"><?= tt("global_checkall") ?></a>
		<a href="javascript: deselect('productContainer' , 'one');"><?= tt("global_uncheckall") ?></a>
	</span>
		
	<span id="productContainerSearcherctrl" style="display:none;">
		<a href="javascript: select('productContainer' , 'two');"><?= tt("global_checkall") ?></a>
		<a href="javascript: deselect('productContainer' , 'two');"><?= tt("global_uncheckall") ?></a>
	</span>
	</div>
			</fieldset>
			
			<div id="lowlevelfeatures">
			<fieldset id="lowlevelfeature_box">
				<legend><img src="/gfx/icons/cube_blue_preferences24.png" border="0" height="24" width="24" /><?= tt("accesscontrol_groups_edit_reportingaccess_header_features") ?></legend>
				<label><?= tt("accesscontrol_groups_edit_label_features") ?></label>
	<div class="container" id="featureContainer">
				<?php foreach($features as $feature) { ?>
						<div class="item" title="<?= wordwrap($feature,40," ",true) ?>" id="featureList">
							<input id="<?= $feature ?>" type="checkbox" name="features[]" value="<?= $feature ?>" <?php if ($group->isMemberOfFeature($feature)) { ?>checked="checked"<?php } ?> /><?= strlen($feature)>30 ? trim(substr($feature, 0, 30))."..." : $feature ?>
						</div>
				<?php 
				} ?>
	</div>
	<div class="container" id="featureContainerSearcher"  style="display:none;">
				<?php foreach($features as $feature) {?>
						<div class="item" title="<?= wordwrap($feature,40," ",true) ?>" id="featureListSearcher">
							<input id="<?= $feature ?>" type="checkbox" value="<?= $feature ?>" <?php if ($group->isMemberOfFeature($feature)) { ?>checked="checked"<?php } ?> /><?= strlen($feature)>30 ? trim(substr($feature, 0, 30))."..." : $feature ?>
						</div>
				<?php
				} ?>
	</div>
	<?= tt("global_search") ?><input type="text" onkeyup="searchValues(this, 'featureContainer')" style="margin: 0;">
	<br>
	
	
	<div class="ctrl">		
	<span id="featureContainerctrl">
		<a href="javascript: select('featureContainer' , 'one');"><?= tt("global_checkall") ?></a>
		<a href="javascript: deselect('featureContainer' , 'one');"><?= tt("global_uncheckall") ?></a>
	</span>
		
	<span id="featureContainerSearcherctrl" style="display:none;">
		<a href="javascript:select('featureContainer' , 'two');"><?= tt("global_checkall") ?></a>
		<a href="javascript: deselect('featureContainer' , 'two');"><?= tt("global_uncheckall") ?></a>
	</span>
	</div>
			</fieldset>
			</div>
			</fieldset>
			
			<div class="clearer"></div>
			
			<fieldset id="edit_group_folder_access">
				<legend><img src="/gfx/icons/folder_lock24.png" border="0" height="24" width="24" /><?= tt("accesscontrol_groups_edit_header_foldersaccess") ?></legend>
				<div class="container">
				<?php foreach($folders as $folder) { ?>
					<div class="item">
						<input type="checkbox" id="access<?= $folder->getName() ?>" name="folders[]" value="<?= $folder->getName() ?>" <?php if ($group->isMemberOfFolder($folder->getName())) { ?>checked="checked"<?php } ?> />
						<label for="access<?= $folder->getName() ?>"><?= $folder->getName() ?></label>
					</div>
				<?php } ?>
				</div>
			</fieldset>

			
			
			
			<fieldset id="edit_group_subgroups">
				<legend><img src="/gfx/icons/users_preferences24.png" border="0" /><?= tt("accesscontrol_groups_edit_header_memberofothergroups") ?></legend>
				<div class="container">						
					<?php foreach($groups as $groupItem) { ?>
						<?php if ($groupItem->getId() != $group->getId()) { ?>
							<div class="item"><input type="checkbox" id="subgroup_<?= $groupItem->getId() ?>" name="group[]" value="<?= $groupItem->getId() ?>" <?php if ($group->isMemberOf($groupItem)) { ?>checked="checked"<?php } ?> /><label for="subgroup_<?= $groupItem->getId() ?>"><?= $groupItem->getName() ?></label></div>
						<?php } ?>
					<?php } ?>					
				</div>

			</fieldset>
			
		<?php } ?>
			
			<div class="clearer"></div>
			
			<div id="users_save">
				<input type="submit" value=<?= tt("global_form_save") ?> />
				<input type="button" value=<?= tt("global_form_cancel") ?> onclick="location.href='groups.php'" />
			</div>
			
			
			
		</form>
   
		
		
		<script type="text/javascript">
		<!--
		
		function getLowLevelInformation(id, groupId) {
			sendData('access_control/get_low_level_access.php', 'returnLowLevelInformation', 'id', id, 'groupId', groupId);
		}
		function getLowLevelFeatures(prodName, groupId) {
			sendData('access_control/get_low_level_feature.php', 'returnLowLevelFeatures', 'prodName', prodName, 'groupId', groupId);
		}
		
		function returnLowLevelInformation(data) {
			gebi("lowlevelaccess").innerHTML = data;
		}
		function returnLowLevelFeatures(data) {
			gebi("lowlevelfeatures").innerHTML = data;
		}
		
		function getClassificationValueLimit(id, groupId) {
			sendData('access_control/get_classification_value_limit.php', 'returnClassificationValueLimit', 'id', id, 'groupId', groupId);
		}
		
		function returnClassificationValueLimit(data) {
			gebi("classificationlimit").innerHTML = data;
		}
		
		function setAnonymous(groupId, datatypeId, classificationId, checked) {
			sendData('access_control/post_low_level_access.php', '', "groupId", groupId, "datatypeId", datatypeId, "classificationId", classificationId, "checked", (checked ? 1 : 0));
		}
		
				// Get object from source, that fits the keywords
		
		
		function searchValues(keywordObj, containerObj) {
			var input = document.getElementById(containerObj).getElementsByTagName("input");
				
			var source = document.getElementById(containerObj);
			var destination = document.getElementById(containerObj+'Searcher');
			var clist = document.getElementById(containerObj+'ctrl');
			var clvalue = document.getElementById(containerObj+'Searcherctrl');
			var keywords = keywordObj.value;
			
			// Do we have a search word
			if (keywords != "") {
				source.style.display = 'none';
				destination.style.display = 'block';			
				clist.style.display = 'none';
				clvalue.style.display = 'inline';
			}
			
			// No search
			else {
				source.style.display = 'block';
				destination.style.display = 'none';
				clist.style.display = 'inline';
				clvalue.style.display = 'none';
				return;
			}
			
			// Create instance of regular expression validator		
			var regexp = new RegExp(keywords, "i");

			// Empty destination
			var i;
			var j;
				while (i=destination.childNodes[0]){
					if (i.nodeType == 1 || i.nodeType == 3){
						destination.removeChild(i);
					}
				}

			var indexes = new Array();
			// Create a clone of the source, to the destination	
			for (var i=0; i<input.length; i++) {
				//var classval='';
				// See if we have a match		
				if (regexp.test(input[i].id)) {
					indexes[j] = i;
					j++;

					// Get a clone
					var clone = input[i].cloneNode(true);
					
					// Mark as selected if it should be
					clone.checked = (input[i].checked) ? true : false;
					
					//label
					lab = document.createElement('label');

					//cut if name is too long
					classval = input[i].id;
					if(classval.length > 30){
						classval = classval.substr(0, 30) + '...';
					}
					labtext  = document.createTextNode(classval);
					lab.appendChild(labtext);
					
					//div per input value
					newDiv = document.createElement('div');
					if(containerObj == "productContainer"){
						newDiv.id = 'productList';
						newDiv.title = clone.id;
					}else{
						newDiv.id = 'featureList';
						newDiv.title = clone.id;
					}
					newInput = document.createElement('input');
					newInput.setAttribute('id', clone.id);
					newInput.setAttribute('type', clone.type);
 					
 					var browserName = navigator.appName;
 					
					if(clone.checked == true){
						if(browserName == 'Microsoft Internet Explorer'){
							var browserVersion = parseInt(navigator.appVersion.split("MSIE")[1]);
							if(browserVersion > 7){
								newInput.setAttribute('checked', 'checked');
							}else{
						 		newInput.setAttribute('defaultChecked', 'defaultChecked');
							}
						}else{
							newInput.setAttribute('checked', 'checked');
						}
					}
 					
 					newInput.onclick = Function("callback('" + containerObj +"');");
 					
					newDiv.appendChild(newInput);
 					newDiv.appendChild(lab);

					destination.appendChild(newDiv);
				}
			}
		}

		function callback(name){
			var input = document.getElementById(name).getElementsByTagName("input");
			var list = document.getElementById(name+'Searcher').getElementsByTagName("input");

			for(var i=0; i<input.length;i++){
				for(var j=0; j<list.length; j++){
					if(input[i].id == list[j].id){
						input[i].checked = list[j].checked;
					}
				}
			}
		}

		function select(containerObj, state){
			var selectionList = document.getElementById(containerObj+'Searcher').getElementsByTagName("input");
			var inputList = document.getElementById(containerObj).getElementsByTagName("input");
			
			if(state == "one"){
				for(i=0; i<inputList.length; i++){
					inputList[i].checked = "checked";
				}
				for(i=0; i<selectionList.length; i++){
					selectionList[i].checked = "checked";
				}
			}else{
				for(i=0; i<inputList.length; i++){
					for(j=0; j<selectionList.length; j++){
						if(inputList[i].id == selectionList[j].id){
							selectionList[j].checked = "checked";
							inputList[i].checked = "checked";
						}
					}
				}
			}
		}


		function deselect(containerObj, state){
			var selectionList = document.getElementById(containerObj+'Searcher').getElementsByTagName("input");
			var inputList = document.getElementById(containerObj).getElementsByTagName("input");
			
			if(state == "one"){
				for(i=0; i<inputList.length; i++){
					inputList[i].checked = false;
				}
				for(i=0; i<selectionList.length; i++){
					selectionList[i].checked = false;
				}
			}else{
				for(i=0; i<inputList.length; i++){
					for(j=0; j<selectionList.length; j++){
						if(inputList[i].id == selectionList[j].id){
							selectionList[j].checked = false;
							inputList[i].checked = false;
						}
					}
				}
			}
		}

		
		// -->
		</script>
		

	</div>

</div>

<?php include "pages/footer.php"; ?>
