<?php 
// Load presentation layer class
$presentation = new Presentation();

$reportSelection = new ReportSelection();

// Get templates
$templateLoader = new TemplateLoader();

// Get selected template
/*@var $template Template */
$template =& $templateLoader->getTemplate($reportSelection->get("PRESENTATION_ID"));

?>
<?php include "pages/header.php"; ?>
<?php include "components/template_selection/submenu.php"; ?>

<div id="content">
	<div id="spacer">

    <?php include "components/generation.php"; ?>

		<div class="clearer"></div>

	
	<script type="text/javascript">
	<!--

	// On load
	document.onload = onLoadCheck();
	
	function onLoadCheck() {
		//disable the add folder button in template selection
		document.getElementById("add_folder_div").style.display="none";
		if (document.getElementById("generation_date_from").value == "") {
			getPeriod(document.getElementById("generation_period"));
		}
	}
	
	
	function generateReport(periodicly) {
		// Send data
		var titlebox = document.getElementById("generation_title");
		var title = titlebox.value;
		title = title.replace(/^\s*|\s*$/,"");		//trim whitespaces
		if (title == "") {
			alert("You must specify a title on the report you want to generate!");
			titlebox.focus();
			return;
		}
		if (title.search(/[^0-9a-zA-Z\-\_\040\<\>\(\)\%\.]/g) >= 0){
			alert("Only alphanumeric characters(A to z, 0 to 9), space, and the following characters (<>()%_.-) are allowed as a report title.");
			title= title.replace(/[^0-9a-zA-Z\-\_\040\<\>\(\)\%\.]/g,"");
			titlebox.focus();
			return;
		}
		
		if (!periodicly) {
			consoleLogger("<?= tt("consolelogger_messages_report_generating") ?>");
			sendData('template_selection/post_generate.php', 'returnReport');
		} else {
			consoleLogger("<?= tt("consolelogger_messages_report_add_periodic") ?>");
			sendData('template_selection/post_generate.php', 'returnReportPeriodic', 'periodic', '1');
		}
	}
	
	function returnReportPeriodic() {
		consoleLogger("<?= tt("consolelogger_messages_report_periodic_added") ?>");
	}
	
	function returnReport(response) {
		var response = eval( "(" + response + ")" );		
		if (response["STATUS"] == "ERROR") {
			consoleLogger("<?= tt("consolelogger_messages_report_error_generating") ?>" + response["MESSAGE"]);
			showError(response["MESSAGE"]);
			return;
		} else if (response["STATUS"] == "OK") {
			consoleLogger("<?= tt("consolelogger_messages_report_opening_report") ?>");
			<?php if (ServerConfig::getReuseReportWindow()) { ?>
			window.open(response["URL"], "_self");
			<?php } else { ?>			
			window.open(response["URL"], "_blank");
			<?php } ?>			
		} else {
			alert("Can’t handle response message!");
			alert("Response: " + response);
		}
	}
	
	
	function getPeriod(periodObj) {
		var period = periodObj.options[periodObj.selectedIndex].value;
		if (period!="C") sendData('complete_selection/get_period.php', 'returnPeriod', 'period', period);
	}
	
	function returnPeriod(timeArray) {
		var timeArray = eval( "(" + timeArray + ")" );
		if (!timeArray) {
			alert("ERROR #8273");
			return;
		}
		document.getElementById("generation_date_from").value = timeArray["generation_date_from"];
		document.getElementById("generation_date_to").value   = timeArray["generation_date_to"];
	}

	function customPeriodFlag(){
		var sel= document.getElementById("generation_period");
		var txtfrom= document.getElementById("generation_date_from");
		var txtto= document.getElementById("generation_date_to");
		sel.selectedIndex=10;
		period=sel.options[10].value;
		from =txtfrom.value;
		to = txtto.value;
		sendData('complete_selection/custom_period.php','returnPeriod','period',period,'from',from,'to',to);
	}

	//-->
	</script>
	
		
		
	</div>

</div>
<?php include "pages/footer.php"; ?>
